import 'package:flutter/material.dart';

import 'group.dart';

/// Advanced group information
///
/// @author Pierre Hubert

class AdvancedGroupInfo extends Group {
  final int timeCreate;
  final String description;
  final String url;
  final int numberLikes;
  final bool isLiking;

  AdvancedGroupInfo({
    @required int id,
    @required String name,
    @required String iconURL,
    @required int numberMembers,
    @required GroupMembershipLevel membershipLevel,
    @required GroupVisibilityLevel visibilityLevel,
    @required GroupRegistrationLevel registrationLevel,
    @required GroupPostCreationLevel postCreationLevel,
    @required String virtualDirectory,
    @required bool following,
    @required this.timeCreate,
    @required this.description,
    @required this.url,
    @required this.numberLikes,
    @required this.isLiking,
  }) : super(
            id: id,
            name: name,
            iconURL: iconURL,
            numberMembers: numberMembers,
            membershipLevel: membershipLevel,
            visibilityLevel: visibilityLevel,
            registrationLevel: registrationLevel,
            postCreationLevel: postCreationLevel,
            virtualDirectory: virtualDirectory,
            following: following);
}
